//
// Version and About Dialog classes
//
// Copyright (C) 1996-1997 Ziff-Davis Publishing Company
// First published in PC Magazine by Douglas Boling
//
// Revision History:
//
// 1.0   Initial Release
//
//****************************************************************************

//****************************************************************************
//
// Derive my Exe version class
//
//****************************************************************************
class CmyExeVersion : public CObject
{
public:

	CmyExeVersion (void);
	CmyExeVersion (LPCSTR lpExeName, LPSTR lpKey = "\\StringFileInfo\\040904E4\\");
	~CmyExeVersion (void);

	INT SetExe (LPCSTR lpExeName, LPSTR lpKey = "\\StringFileInfo\\040904E4\\");
	BOOL GetVersionTag (LPSTR pszTag, LPSTR pszValue, INT *psMax);
	INT GetHardWareName (LPSTR pszValue, INT *psMax);
	INT GetOSName (LPSTR pszValue, INT *psMax);
	INT ParseVerString (LPSTR lpszIn, LPSTR lpszOut, INT sMax);

private:
	CString m_strExeName;
	CString m_strKey;
	HGLOBAL m_hVerInfo;
	DWORD m_dwVerSize;

};
